Mailing List Archive

[PATCH 10 of 15 v5] NetBSD/xencommons: remove xend precmd folder creation
# HG changeset patch
# User Roger Pau Monne <roger.pau@entel.upc.edu>
# Date 1323939598 -3600
# Node ID 6a05eb37ecdd7122eb7ad7d0bea1879a7f1a3c6c
# Parent 663e02a5360ce3d48ce732f9c40087e5ca4323d3
NetBSD/xencommons: remove xend precmd folder creation

Since xend is not started by xencommons move the creation of the
necessary xend folders to xend init script.

Signed-off-by: Roger Pau Monne <roger.pau@entel.upc.edu>

diff -r 663e02a5360c -r 6a05eb37ecdd tools/hotplug/NetBSD/rc.d/xencommons
--- a/tools/hotplug/NetBSD/rc.d/xencommons Fri Sep 30 14:38:55 2011 +0200
+++ b/tools/hotplug/NetBSD/rc.d/xencommons Thu Dec 15 09:59:58 2011 +0100
@@ -27,8 +27,6 @@ XENCONSOLED_PIDFILE="/var/run/xenconsole

xen_precmd()
{
- mkdir -p /var/run/xend || exit 1
- mkdir -p /var/run/xend/boot || exit 1
mkdir -p /var/run/xenstored || exit 1
}

diff -r 663e02a5360c -r 6a05eb37ecdd tools/hotplug/NetBSD/rc.d/xend
--- a/tools/hotplug/NetBSD/rc.d/xend Fri Sep 30 14:38:55 2011 +0200
+++ b/tools/hotplug/NetBSD/rc.d/xend Thu Dec 15 09:59:58 2011 +0100
@@ -15,10 +15,17 @@ export PATH

name="xend"
rcvar=$name
+start_precmd="xen_precmd"
command="${SBINDIR}/xend"
command_args="start"
command_interpreter=`head -n 1 ${command} | awk '{ print substr($0,3) }'`
sig_stop="SIGKILL"

+xen_precmd()
+{
+ mkdir -p /var/run/xend || exit 1
+ mkdir -p /var/run/xend/boot || exit 1
+}
+
load_rc_config $name
run_rc_command "$1"

_______________________________________________
Xen-devel mailing list
Xen-devel@lists.xensource.com
http://lists.xensource.com/xen-devel